"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DATABASE_URL = 'postgres://postgres:password@localhost:5432/postgres';
exports.AUTH_HEADER = 'auth-user';
exports.ADMIN_KEY = 'admin_key';
exports.JWT_SECRET = 'jwt_secret';
exports.JWT_EXPIRATION_DELTA = null;
exports.JWT_REFRESH_EXPIRATION_DELTA = null;
exports.USER_MODEL_PATH = null;
exports.initConfig = (settings) => {
    exports.DATABASE_URL = settings.DATABASE_URL || exports.DATABASE_URL;
    exports.AUTH_HEADER = settings.AUTH_HEADER || exports.AUTH_HEADER;
    exports.ADMIN_KEY = settings.ADMIN_KEY || exports.ADMIN_KEY;
    exports.JWT_SECRET = settings.JWT_SECRET || exports.JWT_SECRET;
    exports.JWT_EXPIRATION_DELTA = settings.JWT_EXPIRATION_DELTA || exports.JWT_EXPIRATION_DELTA;
    exports.JWT_REFRESH_EXPIRATION_DELTA =
        settings.JWT_REFRESH_EXPIRATION_DELTA || exports.JWT_REFRESH_EXPIRATION_DELTA;
    exports.USER_MODEL_PATH = settings.USER_MODEL_PATH || exports.USER_MODEL_PATH;
};
//# sourceMappingURL=index.js.map